<?php
// {{{ Disclaimer, Licence, copyrights
// +----------------------------------------------------------------------+
// | PHP versions 4 and 5                                                 |
// +----------------------------------------------------------------------+
// | Copyright (c) 1998-2006 Manuel Lemos, Tomas V.V.Cox,                 |
// | Stig. S. Bakken, Lukas Smith                                         |
// | All rights reserved.                                                 |
// +----------------------------------------------------------------------+
// | MDB2 is a merge of PEAR DB and Metabases that provides a unified DB  |
// | API as well as database abstraction for PHP applications.            |
// | This LICENSE is in the BSD license style.                            |
// |                                                                      |
// | Redistribution and use in source and binary forms, with or without   |
// | modification, are permitted provided that the following conditions   |
// | are met:                                                             |
// |                                                                      |
// | Redistributions of source code must retain the above copyright       |
// | notice, this list of conditions and the following disclaimer.        |
// |                                                                      |
// | Redistributions in binary form must reproduce the above copyright    |
// | notice, this list of conditions and the following disclaimer in the  |
// | documentation and/or other materials provided with the distribution. |
// |                                                                      |
// | Neither the name of Manuel Lemos, Tomas V.V.Cox, Stig. S. Bakken,    |
// | Lukas Smith nor the names of his contributors may be used to endorse |
// | or promote products derived from this software without specific prior|
// | written permission.                                                  |
// |                                                                      |
// | THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS  |
// | "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT    |
// | LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS    |
// | FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE      |
// | REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,          |
// | INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, |
// | BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS|
// |  OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED  |
// | AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT          |
// | LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY|
// | WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE          |
// | POSSIBILITY OF SUCH DAMAGE.                                          |
// +----------------------------------------------------------------------+
// | Author: Lorenzo Alberton <l.alberton@quipo.it>                       |
// +----------------------------------------------------------------------+
//
// }}}
// {{{ $GLOBALS['_MDB2_Schema_Reserved']['ibase']
/**
 * Has a list of reserved words of Interbase/Firebird
 *
 * @package MDB2_Schema
 * @category Database
 * @access protected
 * @author Lorenzo Alberton <l.alberton@quipo.it>
 */
$GLOBALS['_MDB2_Schema_Reserved']['ibase'] = array(
    'ABS',
    'ABSOLUTE',
    'ACTION',
    'ACTIVE',
    'ADD',
    'ADMIN',
    'AFTER',
    'ALL',
    'ALLOCATE',
    'ALTER',
    'AND',
    'ANY',
    'ARE',
    'AS',
    'ASC',
    'ASCENDING',
    'ASSERTION',
    'AT',
    'AUTHORIZATION',
    'AUTO',
    'AUTODDL',
    'AVG',
    'BACKUP',
    'BASE_NAME',
    'BASED',
    'BASENAME',
    'BEFORE',
    'BEGIN',
    'BETWEEN',
    'BIGINT',
    'BIT',
    'BIT_LENGTH',
    'BLOB',
    'BLOCK',
    'BLOBEDIT',
    'BOOLEAN',
    'BOTH',
    'BOTH',
    'BREAK',
    'BUFFER',
    'BY',
    'CACHE',
    'CASCADE',
    'CASCADED',
    'CASE',
    'CASE',
    'CAST',
    'CATALOG',
    'CHAR',
    'CHAR_LENGTH',
    'CHARACTER',
    'CHARACTER_LENGTH',
    'CHECK',
    'CHECK_POINT_LEN',
    'CHECK_POINT_LENGTH',
    'CLOSE',
    'COALESCE',
    'COLLATE',
    'COLLATION',
    'COLUMN',
    'COMMENT',
    'COMMIT',
    'COMMITTED',
    'COMPILETIME',
    'COMPUTED',
    'CONDITIONAL',
    'CONNECT',
    'CONNECTION',
    'CONSTRAINT',
    'CONSTRAINTS',
    'CONTAINING',
    'CONTINUE',
    'CONVERT',
    'CORRESPONDING',
    'COUNT',
    'CREATE',
    'CROSS',
    'CSTRING',
    'CURRENT',
    'CURRENT_CONNECTION',
    'CURRENT_DATE',
    'CURRENT_ROLE',
    'CURRENT_TIME',
    'CURRENT_TIMESTAMP',
    'CURRENT_TRANSACTION',
    'CURRENT_USER',
    'DATABASE',
    'DATE',
    'DAY',
    'DB_KEY',
    'DEALLOCATE',
    'DEBUG',
    'DEC',
    'DECIMAL',
    'DECLARE',
    'DEFAULT',
    'DEFERRABLE',
    'DEFERRED',
    'DELETE',
    'DELETING',
    'DESC',
    'DESCENDING',
    'DESCRIBE',
    'DESCRIPTOR',
    'DIAGNOSTICS',
    'DIFFERENCE',
    'DISCONNECT',
    'DISPLAY',
    'DISTINCT',
    'DO',
    'DOMAIN',
    'DOUBLE',
    'DROP',
    'ECHO',
    'EDIT',
    'ELSE',
    'END',
    'END-EXEC',
    'ENTRY_POINT',
    'ESCAPE',
    'EVENT',
    'EXCEPT',
    'EXCEPTION',
    'EXEC',
    'EXECUTE',
    'EXISTS',
    'EXIT',
    'EXTERN',
    'EXTERNAL',
    'EXTRACT',
    'FALSE',
    'FETCH',
    'FILE',
    'FILTER',
    'FIRST',
    'FLOAT',
    'FOR',
    'FOREIGN',
    'FOUND',
    'FREE_IT',
    'FROM',
    'FULL',
    'FUNCTION',
    'GDSCODE',
    'GEN_ID',
    'GENERATOR',
    'GET',
    'GLOBAL',
    'GO',
    'GOTO',
    'GRANT',
    'GROUP',
    'GROUP_COMMIT_WAIT',
    'GROUP_COMMIT_WAIT_TIME',
    'HAVING',
    'HELP',
    'HOUR',
    'IDENTITY',
    'IF',
    'IIF',
    'IMMEDIATE',
    'IN',
    'INACTIVE',
    'INDEX',
    'INDICATOR',
    'INIT',
    'INITIALLY',
    'INNER',
    'INPUT',
    'INPUT_TYPE',
    'INSENSITIVE',
    'INSERT',
    'INSERTING',
    'INT',
    'INTEGER',
    'INTERSECT',
    'INTERVAL',
    'INTO',
    'IS',
    'ISOLATION',
    'ISQL',
    'JOIN',
    'KEY',
    'LANGUAGE',
    'LAST',
    'LC_MESSAGES',
    'LC_TYPE',
    'LEADING',
    'LEADING',
    'LEADING',
    'LEAVE',
    'LEFT',
    'LENGTH',
    'LEV',
    'LEVEL',
    'LIKE',
    'LOCAL',
    'LOCK',
    'LOG_BUF_SIZE',
    'LOG_BUFFER_SIZE',
    'LOGFILE',
    'LONG',
    'LOWER',
    'MANUAL',
    'MATCH',
    'MAX',
    'MAX_SEGMENT',
    'MAXIMUM',
    'MAXIMUM_SEGMENT',
    'MERGE',
    'MESSAGE',
    'MIN',
    'MINIMUM',
    'MINUTE',
    'MODULE',
    'MODULE_NAME',
    'MONTH',
    'NAMES',
    'NATIONAL',
    'NATURAL',
    'NCHAR',
    'NEXT',
    'NO',
    'NOAUTO',
    'NOT',
    'NULL',
    'NULLIF',
    'NULLS',
    'NUM_LOG_BUFFERS',
    'NUM_LOG_BUFS',
    'NUMERIC',
    'OCTET_LENGTH',
    'OF',
    'ON',
    'ONLY',
    'OPEN',
    'OPTION',
    'OR',
    'ORDER',
    'OUTER',
    'OUTPUT',
    'OUTPUT_TYPE',
    'OVERFLOW',
    'OVERLAPS',
    'PAD',
    'PAGE',
    'PAGE_SIZE',
    'PAGELENGTH',
    'PAGES',
    'PARAMETER',
    'PARTIAL',
    'PASSWORD',
    'PERCENT',
    'PLAN',
    'POSITION',
    'POST_EVENT',
    'PRECISION',
    'PREPARE',
    'PRESERVE',
    'PRIMARY',
    'PRIOR',
    'PRIVILEGES',
    'PROCEDURE',
    'PUBLIC',
    'QUIT',
    'RAW_PARTITIONS',
    'RDB$DB_KEY',
    'READ',
    'REAL',
    'RECORD_VERSION',
    'RECREATE',
    'RECREATE ROW_COUNT',
    'REFERENCES',
    'RELATIVE',
    'RELEASE',
    'RESERV',
    'RESERVING',
    'RESTART',
    'RESTRICT',
    'RETAIN',
    'RETURN',
    'RETURNING',
    'RETURNING_VALUES',
    'RETURNS',
    'REVOKE',
    'RIGHT',
    'ROLE',
    'ROLLBACK',
    'ROW_COUNT',
    'ROWS',
    'RUNTIME',
    'SAVEPOINT',
    'SCALAR_ARRAY',
    'SCHEMA',
    'SCROLL',
    'SECOND',
    'SECTION',
    'SELECT',
    'SEQUENCE',
    'SESSION',
    'SESSION_USER',
    'SET',
    'SHADOW',
    'SHARED',
    'SHELL',
    'SHOW',
    'SINGULAR',
    'SIZE',
    'SKIP',
    'SMALLINT',
    'SNAPSHOT',
    'SOME',
    'SORT',
    'SPACE',
    'SQL',
    'SQLCODE',
    'SQLERROR',
    'SQLSTATE',
    'SQLWARNING',
    'STABILITY',
    'STARTING',
    'STARTS',
    'STATEMENT',
    'STATIC',
    'STATISTICS',
    'SUB_TYPE',
    'SUBSTRING',
    'SUM',
    'SUSPEND',
    'SYSTEM_USER',
    'TABLE',
    'TEMPORARY',
    'TERMINATOR',
    'THEN',
    'TIES',
    'TIME',
    'TIMESTAMP',
    'TIMEZONE_HOUR',
    'TIMEZONE_MINUTE',
    'TO',
    'TRAILING',
    'TRANSACTION',
    'TRANSLATE',
    'TRANSLATION',
    'TRIGGER',
    'TRIM',
    'TRUE',
    'TYPE',
    'UNCOMMITTED',
    'UNION',
    'UNIQUE',
    'UNKNOWN',
    'UPDATE',
    'UPDATING',
    'UPPER',
    'USAGE',
    'USER',
    'USING',
    'VALUE',
    'VALUES',
    'VARCHAR',
    'VARIABLE',
    'VARYING',
    'VERSION',
    'VIEW',
    'WAIT',
    'WEEKDAY',
    'WHEN',
    'WHENEVER',
    'WHERE',
    'WHILE',
    'WITH',
    'WORK',
    'WRITE',
    'YEAR',
    'YEARDAY',
    'ZONE',
);
// }}}
?>